Bug 8661 - break out additional authors in opac like in staff
Summary: break out additional authors in opac like in staff
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Bugs List
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-21 12:56 UTC by Nicole C. Engard
Modified: 2016-12-05 21:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
staff display (46.87 KB, image/png)
2012-08-21 12:56 UTC, Nicole C. Engard
Details
opac display (50.13 KB, image/png)
2012-08-21 12:57 UTC, Nicole C. Engard
Details
Bug 8661 - break out additional authors in opac like in staff (6.53 KB, patch)
2012-09-07 17:52 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8661 - break out additional authors in opac like in staff (6.56 KB, patch)
2012-09-07 19:51 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 8661 - break out additional authors in opac like in staff (6.79 KB, patch)
2012-10-24 18:00 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8661 - break out additional authors in opac like in staff (6.82 KB, patch)
2012-10-25 15:15 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 8661 [Revised] break out additional authors in opac like in staff (7.00 KB, patch)
2012-11-29 15:42 UTC, Owen Leonard
Details | Diff | Splinter Review
[Signed off] Bug 8661 [Revised] break out additional authors in opac like in staff (7.02 KB, patch)
2012-11-30 22:50 UTC, Melia Meggs
Details | Diff | Splinter Review
screenshot (15.79 KB, image/png)
2012-12-01 23:28 UTC, Katrin Fischer
Details
Bug 8661 [Revised] break out additional authors in opac like in staff (7.00 KB, patch)
2012-12-12 18:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 8661 [Revised] break out additional authors in opac like (4.58 KB, patch)
2013-02-07 16:49 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8661 [Revised] break out additional authors in opac like (4.71 KB, patch)
2013-02-10 21:59 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-08-21 12:56:46 UTC
Created attachment 11718 [details]
staff display

When XSLT is on the additional authors show next to 'by' on the OPAC and next to 'additional authors' in the staff client.

They should be next to 'additional authors' in the OPAC as well.
Comment 1 Nicole C. Engard 2012-08-21 12:57:12 UTC
Created attachment 11719 [details]
opac display
Comment 2 Owen Leonard 2012-09-07 17:52:14 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2012-09-07 19:51:59 UTC Comment hidden (obsolete)
Comment 4 Paul Poulain 2012-10-03 13:34:50 UTC
This patch does not apply on current master. it seems the commit that updated master was a long time ago (30f4b815, in february). Was the patch made against 3.8 ?
Anyway, please rebase & resubmit.
Comment 5 Owen Leonard 2012-10-24 18:00:31 UTC Comment hidden (obsolete)
Comment 6 Nicole C. Engard 2012-10-25 15:15:45 UTC Comment hidden (obsolete)
Comment 7 Paul Poulain 2012-10-29 11:34:19 UTC
QA comment
 * patch related to xsl only
 * passes koha-qa.pl
 * introduces some string changes

passed QA, but I won't push it for 3.10
Comment 8 Jared Camins-Esakov 2012-11-23 17:01:15 UTC
This patch does not play well with the authority links added by bug 8210. Specifically, the punctuation ends up floating in between the term and the magnifying glass icon. Once this is resolved, I am ready to push this patch.
Comment 9 Owen Leonard 2012-11-29 15:42:51 UTC Comment hidden (obsolete)
Comment 10 Melia Meggs 2012-11-30 22:50:46 UTC Comment hidden (obsolete)
Comment 11 Melia Meggs 2012-11-30 22:54:44 UTC
After applying this patch, in the OPAC I can now see: 
Additional author(s): Gordon, Rachel Singer [magnifying glass icon].

The "By" has correctly been changed to "Additional author(s)" instead, and the punctuation appears to be fixed as well.  I'm signing off!
Comment 12 Katrin Fischer 2012-12-01 23:28:16 UTC
Created attachment 13816 [details]
screenshot

Hi Owen,
I think the space between relator code ($4) and the author's name is missing.
Comment 13 Owen Leonard 2012-12-12 18:51:55 UTC Comment hidden (obsolete)
Comment 14 Owen Leonard 2012-12-12 18:52:37 UTC
Added a space. I hope it's okay that I've left it as 'signed-off.'
Comment 15 Paul Poulain 2013-01-03 16:58:40 UTC
Katrin, you're better than I'm for MARC21, so I let you QA this patch, as you seem to have started in comment 12
Comment 16 Katrin Fischer 2013-01-14 07:25:06 UTC
Hi Owen,

I am sorry, the patch does no longer apply :( Could you please rebase? I was also wondering about the HTML entities in those 2 lines:

        <xsl:choose>
          <xsl:when test="position()&gt;1"/>
          <xsl:when test="@tag&lt;700">Author(s): </xsl:when>

Please switch back to signed off after rebasing.
Comment 17 Owen Leonard 2013-02-07 16:49:44 UTC Comment hidden (obsolete)
Comment 18 Owen Leonard 2013-02-07 16:51:15 UTC
(In reply to comment #16)
> I was also wondering about the HTML entities in those 2 lines:
> 
>         <xsl:choose>
>           <xsl:when test="position()&gt;1"/>
>           <xsl:when test="@tag&lt;700">Author(s): </xsl:when>

All I know about that is that it exists in the staff client XSL from which I copied.
Comment 19 Katrin Fischer 2013-02-10 21:57:38 UTC
A few notes about this feature:

1) I am not a big fan about the punctuation at the end, I think for the normal OPAC user this does not look right (given you don't know about MARC and all that). Plus: they are explicitly added and not in my data.

+          <xsl:when test="position()=last()"><xsl:text>.</xsl:text></xsl:when><xsl:otherwise

2) Author(s) - the way we indicate plural/singular here is not used for any other label. For the other labels we just use plural form or singular. So this is a bit inconsistent.

3) I would love if it would be possible to hide the [edt] and similar from display. The codes are not translatable and a lot of them are not an easy guess for a normal user.
Comment 20 Katrin Fischer 2013-02-10 21:59:06 UTC Comment hidden (obsolete)
Comment 21 Jared Camins-Esakov 2013-02-16 00:17:09 UTC
Bad news. I think I need to fail this patch pending a follow-up that addresses Katrin's point 3 (repeated below, with some commentary).

(In reply to comment #19)
> 2) Author(s) - the way we indicate plural/singular here is not used for any
> other label. For the other labels we just use plural form or singular. So
> this is a bit inconsistent.

I agree with Katrin, and since there will only ever be one Author, I think at the very least we could change that to Author instead of Author(s). I would favor changing "Additional author(s)" to "Additional authors," too, but that's open for argument.

> 3) I would love if it would be possible to hide the [edt] and similar from
> display. The codes are not translatable and a lot of them are not an easy
> guess for a normal user.

Without this patch we have a span to make this possible: <a href="/cgi-bin/koha/opac-search.pl?q=au:Fernandes,%20Eugenie,">Fernandes, Eugenie<span class="relatorcode"> [ill.]</span></a>

The span should be kept when breaking out the authors.
Comment 22 Owen Leonard 2013-05-08 19:43:28 UTC
Sorry, I give up on this. I can't untangle the necessary changes now that the OPAC version has had so many revisions. I hope someone else can solve this one.
Comment 23 Katrin Fischer 2016-02-10 08:56:43 UTC
With the changes made for RDA on the XSLT, this is fixed and the display between staff and OPAC is the same now.